WESNOTH(6)

NAMA
wesnoth - Pertempuran demi Wesnoth, Suatu game strategi khayalan

SINOPSIS
wesnoth [OPTIONS] [PATH_TO_DATA]

PENJELASAN
Berjuang demi Wesnoth Adalah suatu game khayalan strategi. Kalahkan semua pemimpin musuh menggunakan kader pasukan pilihan , ambillah kesempatan untuk mendapatkan sumber daya emas dan desa. Semua unit memiliki kekuatan dan kelemahan mereka sendiri, untuk menang, kerahkan kekuatan Anda untuk keuntungan mereka yang terbaik saat musuh Anda menolak kesempatan untuk melakukan hal yang sama. Sebagai unit memperoleh pengalaman, mereka memperoleh kemampuan baru dan menjadi lebih kuat. Bermainlah dalam bahasa Anda sendiri dan uji keterampilan Anda melawan komputer pintar, atau bergabung dengan komunitas besar Wesnoth tentang pemain on-line. Buat unit kustommu sendiri, skenario atau kampanye, dan sebarkanlah pada orang lain.

PILIHAN

--bpp number
    set nilai BitsPerPixel. Contoh: --bpp 32

-c, --campaign  [<id_kampanye>]
    pergi langsung ke kampanye dengan id <id_kampanye>. Sebuah menu pilihan akan muncul jika tidak ada id ditentukan. Note: Bila menggunakan tombol ini pastikan bahwa anda menentukan path direktori data sebagai argument akhir juga, jika tidak permainan akan mengambil id kampanye/skenario sebagai data dir.

--campaign-difficulty <kesulitan>
    Kesulitan dari kampanye yang ditentukan (1 sampai maks). Jika tidak ditentukan, pilihan kesulitan kampanye widget akan muncul.

--campaign-scenario <id_skenario>
    Id skenario dari kampanye yang ditentukan. Standarnya adalah skenario pertama.

--config-dir name
    Menentukan konfigurasi direktori pengguna ke nama dalam $HOME atau "My Documents\My Games" untuk windows. Anda juga dapat menentukan suatu lokasi sesungguhnya untuk direktori konfigurasi diluar $HOME atau "My Documents\My Games"

--config-path
    mencetak alur direktori konfigurasi pengguna dan keluar.

--data-dir <directori>
    menggantikan direktori data dengan yang ditetapkan

-d, --debug
    memungkinkan opsi perintah tambahan dalam game mode (lihat halaman wiki di http://www.wesnoth.org/wiki/CommandMode untuk informasi lebih lanjut tentang perintah tambahan).

-e, --editor file
    mulai editor peta dalam game secara langsung. Jika file ditetapkan, setara dengan -l --load

--fps
    menampilkan jumlah frame per detik permainan berjalan pada saat ini, di sudut layar.

-f, --fullscreen
    jalankan game pada model layar penuh.

--gunzip infile.gz
    dekompres file yang seharusnya dalam format gzip dan menyimpannya tanpa akhiran gz.. Itu infile.gz akan dihapus.

--gzip infile
    kompres file dalam format gzip, menyimpannya sebagai infile.gz dan menghapus infile.

-h, --help
    menampilkan ringkasan opsi baris perintah ke output standar, dan keluar.

-l, --load file
    memuat kembali simpanan game file dari standar menyimpan direktori game. Jika -e atau --editor Pilihan ini digunakan juga, mulai editor dengan peta dari file terbuka. Jika itu adalah sebuah direktori, editor akan mulai dengan memuat peta dialog terbuka di sana.

--log-level=domain1,domain2,...
    menentukan tingkat keparahan dari domain log. all dapat digunakan untuk menyesuaikan dengan semua domain log. Tersedia tingkatan: error, warning, info, debug. Secara default tingkat error digunakan.

--logdomains [saringan]
    daftar log domain ditetapkan (hanya yang berisi filter jika digunakan) dan keluar

--max-fps
    jumlah frame per detik permainan dapat menunjukkan, nilai tersebut harus antara 1 dan 1000, defaultnya adalah 50.

-m, --multiplayer
    menjalankan permainan multiplayer. Ada opsi tambahan yang dapat digunakan bersama dengan --multiplayer seperti yang dijelaskan di bawah ini. Hanya ini pilihan tambahan dapat mengikuti --multiplayer.

--no-delay
    menjalankan permainan tanpa penundaan untuk pembandingan grafis. Ini akan secara otomatis diaktifkan oleh --nogui.

--nocache
    menghilangkan cache pada data game.

--nomusic
    jalankan permainan tanpa musik.

--nosound
    jalankan permainan tanpa suara latar dan musik.

--path
    mencetak nama direktori data game dan keluar.

--preprocess, -p[=<menetapkan1>,<menetapkan2>,...] <file/folder> <direktori target>
    preprocesses file/folder tertentu. File (file-file) akan ditulis dalam direktori target tertentu: sebuah file cfg biasa dan sebuah file cfg terproses. Jika folder tersebut ditentukan, maka akan dipreprocess secara berulang berdasarkan kebiasaan-kebiasaan preprocessor yang dikenal. Macros-macros umum dari data/core/macros akan dipreprocess sebelum sumber-sumber ditentukan. define1,define2,... - penetapan tambahan akan ditambahkan sebelum memproses file-file. Jika anda ingin menambahkannya anda harus menambahkan karakter '=' sebelumnya. Jika 'SKIP_CORE' berada dalam daftar penetapan data/core tidak akan dipreprocess. Contoh: -p ~/wesnoth/data/campaigns/tutorial ~/result atau -p=MULTIPLAYER,MY_OWN_CAMPAIGN ~/wesnoth/data/campaign/camp ~/result

--preprocess-input-macros <file sumber>
    hanya digunakan oleh perintah '--preprocess'. Menentukan file yang berisi [preproc_define]s untuk dimasukkan sebelum preprocessing.

--preprocess-output-macros [<file target>]
    hanya digunakan oleh perintah '--preprocess' . Akan menampilkan semua macro preproses dalam file target. Jika file tidak ditentukan output akan menjadi file '_MACROS_.cfg' dalam direktori target dari perintah preprocess. Penggantian ini harus diketik sebelum perintah --preprocess.

-r XxY, --resolution XxY
    mengatur resolusi layar. Contoh: -r 800x600

-s, --server [host]
    menghubungkan kepada tuan rumah yang ditetapkan bila ada, jika tidak menghubungkan kepada server pertama yang ada di dalam preferensi.Contoh: --server server.wesnoth.org

--strict-validation
    kesalahan pengesahan diperlakukan sebagai kesalahan fatal.

-t, --test
    jalankan permainan pada pengujian skenario kecil-kecilan.

--validcache
    berasumsi bahwa cache sah. (berbahaya)

-v, --version
    menunjukkan nomor versi dan keluar.

-w, --windowed
    jalankan game di dalam gaya window.

--with-replay
    mainkan ulang game yang telah disimpan dengan --load pilihan.

Pilihan untuk --multipemain
Pilihan multi-sisi tertentu ditandai dengan number. number harus digantikan oleh sejumlah pihak. Biasanya adalah 1 atau 2, tetapi tergantung pada kemungkinan jumlah pemain dalam skenario yang dipilih.

--ai_confignumber=value
    memilih konfigurasi file memuat kembali pengontrol AI pada sisi ini.

--algorithmnumber=value
    memilih algoritma non-standar yang akan digunakan oleh controller AI untuk sisi ini. Tersedia nilai: idle_ai and sample_ai.

--controllernumber=value
    memilih pengontrol. yang tersedia: Human dan Ai.

--era=value
    menggunakan opsi ini untuk bermain di era yang dipilih bukan Default era. era ini dipilih oleh id. Era dijelaskan dalam file data/multiplayer/eras.cfg.

--exit-at-end
    keluar setelah skenario selesai, tanpa menampilkan kemenangan/kekalahan dialog yang mengharuskan pengguna untuk mengklik OK. Ini juga digunakan untuk pembandingan scriptable.

--nogui
    menjalankan permainan tanpa GUI. Harus muncul sebelum --multiplayer memiliki efek yang diinginkan.

--parmnumber=name:value
    set parameter tambahan untuk sisi ini. Parameter ini bergantung pada pilihan digunakan dengan --controller dan --algorithm. Ini seharusnya hanya berguna bagi orang-orang yang merancang AI mereka sendiri. (Belum didokumentasikan sepenuhnya)

--scenario=value
    memilih skenario multiplayer dengan id. Id skenario default adalah multiplayer_The_Freelands.

--sidenumber=value
    memilih golongan era saat ini untuk sisi ini. golongan ini dipilih oleh id. Faksi dijelaskan dalam data/file multiplayer.cfg.

--turns=value
    mengatur jumlah giliran untuk skenario yang dipilih. Standarnya adalah 50.

KELUAR
keluar status normal adalah 0. Status keluar dari 1 menunjukkan (SDL, video, font, dll) kesalahan inisialisasi. Status keluar dari 2 menunjukkan kesalahan dengan opsi-opsi baris perintah.

PENGARANG
Ditulis oleh David White <davidnwhite@verizon.net>.
Diperiksa oleh Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> dan Soliton <soliton.de@gmail.com>.
Halaman manual ini pada awalnya ditulis oleh Cyril Bouthors <cyril@bouthors.org>.
Kunjungi halaman resmi kami di: http://www.wesnoth.org/

HAK CIPTA
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Ini adalah perangkat lunak gratis, perangkat lunak ini berlisensi di bawah GPL versi 2, seperti dipublikasikan oleh Free Software Foundation. TIDAK ADA garansi; bahkan tidak juga untuk PENJUALAN atau KESESUAIAN UNTUK TUJUAN TERTENTU.

KUNJUNGI JUGA
wesnothd(6).